Description

We should explore the option to compute residual significance maps. Ideally we could implement something like the Li&Ma formula

to derive a significance map. This kind of significance maps would allow to also see negative fluctuations in terms of significance.

History

#1 - 03/03/2017 10:36 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#2 - 04/11/2017 12:16 PM - Di Venere Leonardo

- Assigned To set to Di Venere Leonardo

- Estimated time set to 6.00

An additional method in gammalib "GSkyMap" to calculate the logarithm of a map is necessary.

#3 - 04/13/2017 07:10 PM - Di Venere Leonardo

- File equation1.PNG added

- File equation2.png added

- File resmap_SIGNIF_events_hist.png added

- File resmap_SIGNIF_events_image.png added

- File resmap_SUBDIVSQRT_events_hist.png added

- File resmap_SUBDIVSQRT_events_image.png added

- Status changed from New to Pull request

- % Done changed from 0 to 100

I've implemented the calculation of a residual significance map in csresmap.py, adding a new case algorithm case (called 'SIGNIF').

The significance is calculated using the following formula:

 

where 'ci' and 'mi' are the data and model values in pixel i respectively.

For pixels with 0 counts (ci=0), the significance is estimated as:

 

This formula can be derived applying the same approach of the Li&Ma significance formula, but assuming that the background (the model in this

case) is not fluctuating.

An update to gammalib GSkyMap was necessary to allow the evaluation of logarithm and sign of the sky maps.

I also added a few tests running csresmap with SUBDIVSQRT and SIGNIF algorithms.

I tested both the SUBDIVSQRT and SIGNIF algorithms using a simple simulation of Crab data. The following plots show the maps and the distribution

of residuals in the two cases.

It must be noted that being in the low-count regime, the two algorithms might produce different results in terms of significance. Furthermore, in this

regime both algorithms might produce distributions that diverge from a normal distribution.
These are the details of the ctools and gammalib branches.

CTools: git@cta-gitlab.irap.omp.eu:ldivenere/ctools.git

CTools branch: 1867-csresmap-significance-map

Gammalib: git@cta-gitlab.irap.omp.eu:ldivenere/gammalib.git

Gammalib brach: 1867-csresmap-add-log-map-GSkyMap

#4 - 06/08/2017 12:24 AM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Code merged into devel.

Files
